%define major		21
%define libname		%mklibname torrent %{major}
%define libnamedev	%mklibname torrent -d

Name:		libtorrent
Version:	0.13.8
Release:	%mkrel 1
Summary:	BitTorrent library written in C++ for *nix
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://rakshasa.github.io/rtorrent/
Source0:	http://rtorrent.net/downloads/%{name}-%{version}.tar.xz
Patch0:		libtorrent-0.13.7-fix-linking.patch
BuildRequires:	cppunit-devel
BuildRequires:	sigc++2.0-devel
BuildRequires:	openssl-devel
BuildRequires:	automake
BuildRequires:	libtool

%description
LibTorrent is a BitTorrent library written in C++ for *nix. It is designed to
avoid redundant copying and storing of data that other clients and libraries
suffer from. Licensed under the GPL.

Basic features have been implemented and a ncurses client is included. Sloppy
and biased test runs have shown that transferring a 200 MB file with libTorrent
uses 1/4 of the CPU time that the official BitTorrent client requires.

The library and client are under heavy development. They are stable enough to
handle any torrents I throw at them these days.

%package -n %{libname}
Summary:	BitTorrent library written in C++ for *nix
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}torrent17
Obsoletes:	lib64torrent19

%description -n %{libname}
LibTorrent is a BitTorrent library written in C++ for *nix. It is designed to
avoid redundant copying and storing of data that other clients and libraries
suffer from. Licensed under the GPL.

Basic features have been implemented and a ncurses client is included. Sloppy
and biased test runs have shown that transferring a 200 MB file with libTorrent
uses 1/4 of the CPU time that the official BitTorrent client requires.

The library and client are under heavy development. They are stable enough to
handle any torrents I throw at them these days.

%package -n %{libnamedev}
Summary:	BitTorrent library written in C++ for *nix
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
LibTorrent is a BitTorrent library written in C++ for *nix. It is designed to
avoid redundant copying and storing of data that other clients and libraries
suffer from. Licensed under the GPL.

Basic features have been implemented and a ncurses client is included. Sloppy
and biased test runs have shown that transferring a 200 MB file with libTorrent
uses 1/4 of the CPU time that the official BitTorrent client requires.

The library and client are under heavy development. They are stable enough to
handle any torrents I throw at them these days. 

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
export CFLAGS=$(echo %optflags|sed s/O2/O3/)
export CXXFLAGS=$(echo %optflags|sed s/O2/O3/)

%configure2_5x --with-posix-fallocate
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libnamedev}
%{_libdir}/%{name}.so
%{_includedir}/torrent/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Jul 23 2019 tex - 0.13.8-1pclos2019
- new version

* Mon Apr 22 2019 tex - 0.13.7-1pclos2019
- new

* Mon Oct 19 2015 bb <bb> 0.13.6-1pclos2015
- update

* Sat Apr 19 2014 bb <bb> 0.13.3-1pclos2014
- update

* Tue Oct 25 2011 Texstar <texstar at gmail.com> 0.12.9-1pclos2011
- 0.12.9
